Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.server.dedicated
Class PropertyManager

    java.lang.Object
      net.minecraft.server.dedicated.PropertyManager

    public class PropertyManager

extends Object

Field Summary
`static Logger` | `logger` Reference to the logger.

Constructor Summary
`PropertyManager(File par1File)`

Method Summary
`boolean` | `getBooleanProperty(String par1Str, boolean par2)` Gets a boolean property.
`int` | `getIntProperty(String par1Str, int par2)` Gets an integer property.
`File` | `getPropertiesFile()` Returns this PropertyManager's file object used for property saving.
`String` | `getProperty(String par1Str, String par2Str)` Gets a property.
`void` | `logMessageAndSave()` logs an info message then calls saveSettingsToFile Yes this appears to be a potential stack overflow - these 2 functions call each other repeatdly if an exception occurs.
`void` | `saveProperties()` Writes the properties to the properties file.
`void` | `setProperty(String par1Str, Object par2Obj)` Saves an Object with the given property name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static Logger logger

  Reference to the logger.

Constructor Detail

### PropertyManager

    public PropertyManager(File par1File)

Method Detail

### logMessageAndSave

    public void logMessageAndSave()

  logs an info message then calls saveSettingsToFile Yes this appears to be a potential stack overflow - these 2 functions call each other repeatdly if an exception occurs.

### saveProperties

    public void saveProperties()

  Writes the properties to the properties file.

### getPropertiesFile

    public File getPropertiesFile()

  Returns this PropertyManager's file object used for property saving.

### getProperty

    public String getProperty(String par1Str,
                              String par2Str)

  Gets a property. If it does not exist, set it to the specified value.

### getIntProperty

    public int getIntProperty(String par1Str,
                              int par2)

  Gets an integer property. If it does not exist, set it to the specified value.

### getBooleanProperty

    public boolean getBooleanProperty(String par1Str,
                                      boolean par2)

  Gets a boolean property. If it does not exist, set it to the specified value.

### setProperty

    public void setProperty(String par1Str,
                            Object par2Obj)

  Saves an Object with the given property name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD